pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry Class Reference

Priority queue entry for point candidates More...

`#include <pcl/octree/octree_search.h>`

## Public Member Functions

| prioPointQueueEntry ()
| Empty constructor More...
| prioPointQueueEntry (uindex_t point_idx, float point_distance)
| Constructor for initializing priority queue entry. More...
bool | operator< (const prioPointQueueEntry &rhs) const
| Operator< for comparing priority queue entries with each other. More...

## Public Attributes

uindex_t | point_idx_
| Index representing a point in the dataset given by setInputCloud. More...
float | point_distance_
| Distance to query point. More...

## Detailed Description

### template<typename PointT, typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>
class pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry

Priority queue entry for point candidates

Note
  This class defines priority queue entries for the nearest neighbor point candidates.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 335 of file octree_search.h.

## Constructor & Destructor Documentation

## prioPointQueueEntry() [1/2]

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry::prioPointQueueEntry | ( |  | ) |

inline

Empty constructor

Definition at line 338 of file octree_search.h.

## prioPointQueueEntry() [2/2]

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry::prioPointQueueEntry | ( | uindex_t | point_idx,
|  | float | point_distance
| ) |  |

inline

Constructor for initializing priority queue entry.

Parameters

  [in] | point_idx | index for a dataset point given by setInputCloud
  [in] | point_distance | distance of query point to voxel center

Definition at line 344 of file octree_search.h.

## Member Function Documentation

## operator<()

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

bool pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry::operator< | ( | const prioPointQueueEntry & | rhs | ) | const

inline

Operator< for comparing priority queue entries with each other.

Parameters

  [in] | rhs | priority queue to compare this against

Definition at line 351 of file octree_search.h.

References pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry::point_distance_.

## Member Data Documentation

## point_distance_

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

float pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry::point_distance_

Distance to query point.

Definition at line 361 of file octree_search.h.

Referenced by pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry::operator<().

## point_idx_

template<typename PointT , typename LeafContainerT = OctreeContainerPointIndices, typename BranchContainerT = OctreeContainerEmpty>

uindex_t pcl::octree::OctreePointCloudSearch< PointT, LeafContainerT, BranchContainerT >::prioPointQueueEntry::point_idx_

Index representing a point in the dataset given by setInputCloud.

Definition at line 358 of file octree_search.h.

The documentation for this class was generated from the following file:

- pcl/octree/octree_search.h